//+------------------------------------------------------------------+
//|                                                BUY_by_Market.mq4 |
//|                          Copyright 2015, Tradexperts.ru StatBars |
//|                                            http://tradexperts.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Tradexperts.ru StatBars"
#property link      "http://tradexperts.ru"
#property version   "1.00"
#property strict
#property show_inputs

extern int TP = 0;
extern int SL = 0;
extern double lot = 0.1;
extern int slippage = 3;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
//---
   double temp_sl, temp_tp;
   double SPREAD = MarketInfo( Symbol(), MODE_SPREAD)*Point;
   if( TP > 0 )
   {
      temp_tp = NormalizeDouble( Ask - TP*Point - SPREAD, Digits);
   }
   else
      temp_tp = NormalizeDouble( 0.0 , Digits);
   if( SL > 0 )
   {
      temp_sl = NormalizeDouble( Ask + SL*Point, Digits);
   }
   else
      temp_sl = NormalizeDouble( 0.0 , Digits);
   OrderSend( Symbol(), OP_SELL, lot, Bid, slippage, temp_sl, temp_tp, "", 0, 0, clrOrangeRed);
}
//+------------------------------------------------------------------+
